unit ULDu;
{$I define.pas}
interface
uses SysUtils, ULDObju;

function ULDBROWSE(AObj: TULDRObj):integer;export;
{ not used yet }
const
  CurULDObj: TULDObj = nil;

implementation
uses
  UlanType, UlanGlob, ModuType,
  {$IFDEF USEDLL}
  ModuProc
  {$ELSE}
  Modulu
  {$ENDIF}
  ;

function ULDBROWSE(AObj: TULDRObj):integer;
var
  m: TModule;
label
  ex;
begin
  CurULDObj := AObj;
{  case UserMode of

    umUser: begin
      case AObj.DeviceType of

        dtPump: begin
          if Modules.FindModuleWithPropVal(piULDR, IntToStr(longint(AObj)), m) then begin
            Result := PumpFrmEdit(m);
            goto ex;
          end;
        end;

      end;
    end;

  end;}
  Result := AObj.Browse;
ex:
  CurULDObj := nil;
end;

end.
